#include <bits/stdc++.h>

using namespace std;
#define int long long

const int N = 2100;
const int INF = (int)(1e18);

vector<int> g[N];
int mx[N][N];

int32_t main() {
	ios::sync_with_stdio(0); cin.tie(0);
	int n, m, _; cin >> n >> m >> _;
	cout << min(m - (n - 1), (n - 1)) << "\n1";
}